## dde-polkit-agent 5.5.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

set(BIN_NAME dde-polkit-agent)

project(${BIN_NAME})

#set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")

# 增加安全编译参数
ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
endif()

if (DEFINED ENABLE_MIEEE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")

    # generate qm
    execute_process(COMMAND bash "translate_generation.sh"
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif ()

# Find the library
find_package(PkgConfig REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(Qt5 COMPONENTS Core Widgets DBus Concurrent REQUIRED)

pkg_check_modules(Polkit-qt5 REQUIRED polkit-qt5-1)
pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)


function(generation_dbus_adaptor xml class_name class_file option)
    execute_process(COMMAND qdbusxml2cpp ${option} -a ${class_file} -c ${class_name} ${xml}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endfunction(generation_dbus_adaptor)

generation_dbus_adaptor(
    ${CMAKE_SOURCE_DIR}/com.deepin.Polkit1AuthAgent.xml
    Polkit1AuthAgentAdaptor
    ${CMAKE_CURRENT_BINARY_DIR}/polkit1authagent_adaptor
    -N
)

set(AuthAgent_DBUS_SCRS
    ${CMAKE_CURRENT_BINARY_DIR}/polkit1authagent_adaptor.h
    ${CMAKE_CURRENT_BINARY_DIR}/polkit1authagent_adaptor.cpp
)

add_executable(${BIN_NAME}
    policykitlistener.cpp
    AuthDialog.cpp
    main.cpp
    usersmanager.cpp
    pluginmanager.cpp
    images.qrc
    ${AuthAgent_DBUS_SCRS}
)
target_include_directories(${BIN_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${Polkit-qt5_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    Qt5::Core
    Qt5::Widgets
    Qt5::DBus
    Qt5::Concurrent
)

target_link_libraries(${BIN_NAME} PRIVATE
    ${DtkWidget_LIBRARIES}
    ${Polkit-qt5_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    Qt5::Core
    Qt5::Widgets
    Qt5::DBus
    Qt5::Concurrent
)

## qm files
file(GLOB QM_FILES "translations/*.qm")
install(FILES ${QM_FILES} DESTINATION share/${BIN_NAME}/translations)

## header files
file(GLOB HEADER_FILES "agent-extension-proxy.h" "agent-extension.h")
install(FILES ${HEADER_FILES} DESTINATION include/dpa)

# bin
install(TARGETS ${BIN_NAME} DESTINATION lib/polkit-1-dde)

## dde-polkit-agent 5.4.3

=== debian/changelog ===
dde-polkit-agent (5.4.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 20 Mar 2021 14:45:59 +0800

dde-polkit-agent (1.0-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 04 Aug 2016 15:42:28 +0800

=== debian/control ===
Source: dde-polkit-agent
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9), 
	pkg-config, 
	libqt5webkit5-dev,
        libgsettings-qt-dev,
	libpolkit-qt5-1-dev, 
	libdtkcore-dev,
	libdtkwidget-dev,
	qt5-qmake, 
	qttools5-dev-tools, 
	libdframeworkdbus-dev,
	libdtkcore5-bin
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: dde-polkit-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpa-ext-gnomekeyring
Description: PolicyKit agent for DDE.
 PolicyKit agent is usually a dialog used to provide a way to let users 
 grant permission to specific actions, this package serves the role in
 Deepin Desktop Environment.

Package: dde-polkit-agent-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: developement files of dde-polkit-agent extensions.
 Development files of dde-polkit-agent extensions.

## dde-polkit-agent 5.5.7

=== debian/changelog ===
dde-polkit-agent (5.5.7-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:27:06 +0800

=== debian/control ===
Source: dde-polkit-agent
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9),
	pkg-config,
	cmake,
	libpolkit-qt5-1-dev (>> 5.0.0.2),
	libdtkwidget-dev,
	qttools5-dev-tools,
	libdframeworkdbus-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: dde-polkit-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpa-ext-gnomekeyring
Description: PolicyKit agent for DDE.
 PolicyKit agent is usually a dialog used to provide a way to let users
 grant permission to specific actions, this package serves the role in
 Deepin Desktop Environment.

Package: dde-polkit-agent-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: developement files of dde-polkit-agent extensions.
 Development files of dde-polkit-agent extensions.

## dde-polkit-agent 5.5.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(BIN_NAME dde-polkit-agent)
 
-project(${BIN_NAME})
+project(${BIN_NAME} CXX)
 
 #set(CMAKE_VERBOSE_MAKEFILE ON)
 set(CMAKE_CXX_STANDARD 14)
@@ -12,7 +12,9 @@
 set(CMAKE_CXX_FLAGS "-g -Wall")
 
 # 增加安全编译参数
-ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
+set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
@@ -56,6 +58,20 @@
     ${CMAKE_CURRENT_BINARY_DIR}/polkit1authagent_adaptor
     -N
 )
+
+# test deepin-polkit
+try_compile(DEEPIN_POLKIT_TEST
+              ${CMAKE_CURRENT_BINARY_DIR}/try_compile
+            SOURCES
+              ${CMAKE_CURRENT_SOURCE_DIR}/tests/polkit.cc
+            LINK_LIBRARIES
+              ${Polkit-qt5_LIBRARIES}
+              Qt5::Core
+)
+
+if (DEEPIN_POLKIT_TEST)
+    add_definitions(-DUSE_DEEPIN_POLKIT)
+endif()
 
 set(AuthAgent_DBUS_SCRS
     ${CMAKE_CURRENT_BINARY_DIR}/polkit1authagent_adaptor.h

=== debian/changelog ===
dde-polkit-agent (5.5.21-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 Aug 2022 21:40:56 +0800

dde-polkit-agent (1.0) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 04 Aug 2016 15:42:28 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>=9),
 	pkg-config,
 	cmake,
-	libpolkit-qt5-1-dev (>> 5.0.0.2),
+	libpolkit-qt5-1-dev,
 	libdtkwidget-dev,
 	qttools5-dev-tools,
 	libdframeworkdbus-dev

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

%:
	dh $@

## dde-polkit-agent 6.0.7

=== debian/changelog ===
dde-polkit-agent (6.0.7) unstable; urgency=medium

  * fix: set BypassWindowManagerHint to deny resize/move/layer

 -- rewine <luhongxu@deepin.org>  Tue, 26 Mar 2024 18:24:41 +0800

dde-polkit-agent (6.0.6) unstable; urgency=medium

  * fix: auth dialog should be immovable

 -- rewine <luhongxu@deepin.org>  Fri, 15 Mar 2024 11:19:17 +0800

dde-polkit-agent (6.0.5) unstable; urgency=medium

  * chore: filter dpa-ext-gnomekeyring and cancel pre installation

 -- bluesky <chenchongbiao@deepin.org>  Mon, 04 Sep 2023 11:35:33 +0800

dde-polkit-agent (6.0.4) unstable; urgency=medium

  * fix qdbusxml2cpp-fix not found
  * Revert "feat: 密码保险箱优化"

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 01 Aug 2023 16:04:37 +0800

dde-polkit-agent (6.0.3) unstable; urgency=medium

  * bring back option for USE_DEEPIN_POLKIT

 -- chenhongtao <chenhongtao@uniontech.com>  Thu, 20 Apr 2023 16:54:37 +0800

dde-polkit-agent (6.0.2) unstable; urgency=medium

  * update changelog for V23 beta 

 -- linxin <linxin@uniontech.com>  Wed, 28 Mar 2023 11:15:37 +0800

dde-polkit-agent (6.0.1) unstable; urgency=medium

  [ TagBuilder ]
  * chore: V23接口改造适配(Task: 207483)(Influence: 无)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:13:55 +0800

dde-polkit-agent (6.0.0.0) unstable; urgency=medium

  * release 6.0.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 17:00:13 +0800

dde-polkit-agent (5.5.22) unstable; urgency=low

  * bump version to 5.5.22

 -- lichangze <lichangze@uniontech.com>  Mon, 9 Jan 2023 16:20:17 +0000

=== debian/control ===
Source: dde-polkit-agent
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9),
	pkg-config,
	cmake,
	libpolkit-qt5-1-dev (>0.114.0),
	libdtkwidget-dev,
	libdtkcore-dev,
	qttools5-dev-tools,
	libdtkcore5-bin,
	lsb-release
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: dde-polkit-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: PolicyKit agent for DDE.
 PolicyKit agent is usually a dialog used to provide a way to let users
 grant permission to specific actions, this package serves the role in
 Deepin Desktop Environment.

Package: dde-polkit-agent-dev
Architecture: any
Depends: dde-polkit-agent( =${binary:Version}),
${shlibs:Depends}, ${misc:Depends}
Description: development files of dde-polkit-agent extensions.
 Development files of dde-polkit-agent extensions.

## dde-polkit-agent 6.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,10 @@
 set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_FLAGS "-g -Wall")
 
+option(USE_DEEPIN_POLKIT "enable deepin polkit" OFF)
+
+message(STATUS "TO USE Deepin_Polkit : ${USE_DEEPIN_POLKIT}")
+
 # 增加安全编译参数
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
@@ -21,7 +25,7 @@
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
 endif()
 
-if (DEFINED ENABLE_MIEEE)
+if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
 endif()
 
@@ -41,11 +45,11 @@
 # Find the library
 find_package(PkgConfig REQUIRED)
 find_package(DtkWidget REQUIRED)
+find_package(DtkCore REQUIRED)
 find_package(Qt5 COMPONENTS Core Widgets DBus Concurrent REQUIRED)
+find_package(DtkTools REQUIRED)
 
 pkg_check_modules(Polkit-qt5 REQUIRED polkit-qt5-1)
-pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
-
 
 function(generation_dbus_adaptor xml class_name class_file option)
     execute_process(COMMAND qdbusxml2cpp ${option} -a ${class_file} -c ${class_name} ${xml}
@@ -53,28 +57,49 @@
 endfunction(generation_dbus_adaptor)
 
 generation_dbus_adaptor(
-    ${CMAKE_SOURCE_DIR}/com.deepin.Polkit1AuthAgent.xml
+    ${CMAKE_SOURCE_DIR}/dbus/adapter/org.deepin.dde.Polkit1.AuthAgent.xml
     Polkit1AuthAgentAdaptor
     ${CMAKE_CURRENT_BINARY_DIR}/polkit1authagent_adaptor
     -N
 )
 
-# test deepin-polkit
-try_compile(DEEPIN_POLKIT_TEST
-              ${CMAKE_CURRENT_BINARY_DIR}/try_compile
-            SOURCES
-              ${CMAKE_CURRENT_SOURCE_DIR}/tests/polkit.cc
-            LINK_LIBRARIES
-              ${Polkit-qt5_LIBRARIES}
-              Qt5::Core
+set(DBUS_INTERFACE_DIR ${PROJECT_SOURCE_DIR}/dbus/interface)
+function(generation_dbus_interface xml class_name class_file)
+    execute_process(COMMAND ${DTK_XML2CPP} -c ${class_name} -p ${class_file} ${xml}
+        WORKING_DIRECTORY ${DBUS_INTERFACE_DIR})
+endfunction(generation_dbus_interface)
+
+if(${USE_DEEPIN_POLKIT})
+  add_definitions(-DUSE_DEEPIN_POLKIT)
+endif()
+
+generation_dbus_interface(
+    ${CMAKE_SOURCE_DIR}/dbus/org.deepin.dde.Accounts1.User.xml
+    AccountsUser
+    ${DBUS_INTERFACE_DIR}/accountuser_interface
 )
 
-if (DEEPIN_POLKIT_TEST)
-    add_definitions(-DUSE_DEEPIN_POLKIT)
-endif()
+generation_dbus_interface(
+    ${CMAKE_SOURCE_DIR}/dbus/org.deepin.dde.Accounts1.xml
+    Accounts
+    ${DBUS_INTERFACE_DIR}/account_interface
+)
+
+generation_dbus_interface(
+    ${CMAKE_SOURCE_DIR}/dbus/org.deepin.dde.Fprintd1.Device.xml
+    FprintdDevice
+    ${DBUS_INTERFACE_DIR}/fprintddevice_interface
+)
+
+generation_dbus_interface(
+    ${CMAKE_SOURCE_DIR}/dbus/org.deepin.dde.Fprintd1.xml
+    FPrintd
+    ${DBUS_INTERFACE_DIR}/fprintd_interface
+)
+
+aux_source_directory(${PROJECT_SOURCE_DIR}/dbus/interface/ DBUS_INTERFACES)
 
 set(AuthAgent_DBUS_SCRS
-    ${CMAKE_CURRENT_BINARY_DIR}/polkit1authagent_adaptor.h
     ${CMAKE_CURRENT_BINARY_DIR}/polkit1authagent_adaptor.cpp
 )
 
@@ -86,21 +111,25 @@
     pluginmanager.cpp
     images.qrc
     ${AuthAgent_DBUS_SCRS}
+    ${DBUS_INTERFACES}
 )
+
 target_include_directories(${BIN_NAME} PUBLIC
     ${DtkWidget_INCLUDE_DIRS}
+    ${DtkCore_INCLUDE_DIRS}
     ${Polkit-qt5_INCLUDE_DIRS}
-    ${DFrameworkDBus_INCLUDE_DIRS}
     Qt5::Core
     Qt5::Widgets
     Qt5::DBus
     Qt5::Concurrent
+    ${PROJECT_SOURCE_DIR}/dbus/interface
+    ${PROJECT_SOURCE_DIR}/dbus/qtdbusextended
 )
 
 target_link_libraries(${BIN_NAME} PRIVATE
     ${DtkWidget_LIBRARIES}
+    ${DtkCore_LIBRARIES}
     ${Polkit-qt5_LIBRARIES}
-    ${DFrameworkDBus_LIBRARIES}
     Qt5::Core
     Qt5::Widgets
     Qt5::DBus

=== debian/changelog ===
dde-polkit-agent (6.0.8) unstable; urgency=medium

  * Allow empty password

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 04 Sep 2024 14:53:06 +0800

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

DISTRO = $(shell lsb_release -is)
ifeq ($(DISTRO),Deepin)
	USE_DEEPIN_POLKIT=ON
else
	USE_DEEPIN_POLKIT=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_DEEPIN_POLKIT=$(USE_DEEPIN_POLKIT)

## dde-polkit-agent 6.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(BIN_NAME dde-polkit-agent)

project(${BIN_NAME} CXX)

#set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")

option(USE_DEEPIN_POLKIT "enable deepin polkit" OFF)

message(STATUS "TO USE Deepin_Polkit : ${USE_DEEPIN_POLKIT}")

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
endif()

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

set(QT_VERSION_MAJOR 6)
set(DTK_VERSION_MAJOR 6)

include(GNUInstallDirs)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED Core Widgets DBus Concurrent LinguistTools)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED Widget Core Tools)
find_package(DDEShell REQUIRED)

pkg_check_modules(Polkit-qt6 REQUIRED polkit-qt6-1)

qt_add_dbus_adaptor(DBUS_INTERFACES ${CMAKE_SOURCE_DIR}/dbus/adapter/org.deepin.dde.Polkit1.AuthAgent.xml policykitlistener.h PolicyKitListener)

if(${USE_DEEPIN_POLKIT})
  add_definitions(-DUSE_DEEPIN_POLKIT)
endif()

dtk_add_dbus_interfaces(DBUS_INTERFACES ${CMAKE_SOURCE_DIR}/dbus/org.deepin.dde.Accounts1.xml)
dtk_add_dbus_interface(DBUS_INTERFACES ${CMAKE_SOURCE_DIR}/dbus/org.deepin.dde.Accounts1.User.xml accounts1userinterface)

file(GLOB DDE_POLKIT_AGENT_SCRS "*.h" "*.cpp")

add_executable(${BIN_NAME}
    ${DBUS_INTERFACES}
    ${DDE_POLKIT_AGENT_SCRS}
    images.qrc
)

target_include_directories(${BIN_NAME} PUBLIC
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Core
    ${Polkit-qt6_INCLUDE_DIRS}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Concurrent
)

target_link_libraries(${BIN_NAME} PRIVATE
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Concurrent
    Dde::Shell
    ${Polkit-qt6_LIBRARIES}
)

# can use qt_standard_project_setup(I18N_TRANSLATED_LANGUAGES xx xx) from Qt6.7
set(TRANSLATION_LANGUAGES
    af am_ET ar ast az bg bn bo ca cs da de el en_AU en_GB eo es et fa fi fr gl_ES
    he hi_IN hr hu hy id it ja ko ku_IQ lo lt ml mn ms nb ne nl pl pt_BR pt ro ru
    si sk sl sq sr sv sw ta tr pam ug uk vi zh_CN zh_HK zh_TW
)

set(TRANSLATION_FILES "")
list(APPEND TRANSLATION_FILES "${PROJECT_SOURCE_DIR}/translations/dde-polkit-agent.ts")

foreach(LANG ${TRANSLATION_LANGUAGES})
    list(APPEND TRANSLATION_FILES "${PROJECT_SOURCE_DIR}/translations/dde-polkit-agent_${LANG}.ts")
endforeach()

# can generate ts and qm file
qt_add_translations(${BIN_NAME}
    TS_FILES ${TRANSLATION_FILES}
    SOURCES ${DDE_POLKIT_AGENT_SCRS}
    QM_FILES_OUTPUT_VARIABLE TR_QM_FILES
)

## qm files
install(FILES ${TR_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${BIN_NAME}/translations)

## header files
file(GLOB HEADER_FILES "agent-extension-proxy.h" "agent-extension.h")
install(FILES ${HEADER_FILES} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dpa)

# bin
install(TARGETS ${BIN_NAME} DESTINATION lib/polkit-1-dde)

=== debian/changelog ===
dde-polkit-agent (6.0.12) unstable; urgency=medium

  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- fuleyi <fuleyi@uniontech.com>  Wed, 26 Mar 2025 16:15:19 +0800

dde-polkit-agent (6.0.11) unstable; urgency=medium

  * Fix unable to input password on x11 environment

 -- Yutao Meng <mengyutao@deepin.org>  Mon, 16 Dec 2024 17:37:15 +0800

dde-polkit-agent (6.0.10) unstable; urgency=medium

  * fix: Support always on top under Wayland by Layershell (#164)

 -- Yutao Meng <mengyutao@deepin.org>  Thu, 12 Dec 2024 09:50:24 +0800

dde-polkit-agent (6.0.9) unstable; urgency=medium

  * fix: uos polkit agent cannot authenticate (#168)(Bug: 289335)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 25 Nov 2024 20:01:23 +0800

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Build-Depends: debhelper (>=9),
 	pkg-config,
 	cmake,
-	libpolkit-qt5-1-dev (>0.114.0),
-	libdtkwidget-dev,
-	libdtkcore-dev,
-	qttools5-dev-tools,
-	libdtkcore5-bin,
+	libpolkit-qt6-1-dev,
+	libdtk6widget-dev,
+	libdtk6core-dev,
+	qt6-tools-dev,
+	qt6-tools-dev-tools,
+	libdtk6core-bin,
+	libdde-shell-dev,
 	lsb-release
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org/

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 DISTRO = $(shell lsb_release -is)
 ifeq ($(DISTRO),Deepin)
 	USE_DEEPIN_POLKIT=ON
+else ifeq ($(DISTRO),uos)
+    USE_DEEPIN_POLKIT=ON
 else
 	USE_DEEPIN_POLKIT=OFF
 endif

## dde-polkit-agent 6.0.13

=== debian/changelog ===
dde-polkit-agent (6.0.13) unstable; urgency=medium

  * feat: decouple from the proprietary component DA

 -- fuleyi <fuleyi@uniontech.com>  Wed, 04 Jun 2025 15:54:30 +0800

## dde-polkit-agent 6.0.14

=== debian/changelog ===
dde-polkit-agent (6.0.14) unstable; urgency=medium

  * refactor: update build flags and security hardening

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 20:28:51 +0800

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export QT_SELECT=5
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 
 DISTRO = $(shell lsb_release -is)
 ifeq ($(DISTRO),Deepin)

## dde-polkit-agent 6.0.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,17 +9,13 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "-g -Wall")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
 
 option(USE_DEEPIN_POLKIT "enable deepin polkit" OFF)
 
 message(STATUS "TO USE Deepin_Polkit : ${USE_DEEPIN_POLKIT}")
 
-# 增加安全编译参数
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
-set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")

=== debian/changelog ===
dde-polkit-agent (6.0.16) unstable; urgency=medium

  * refactor: remove fingerprint authentication related files
  * fix: Fix the password error not selected completely

 -- fuleyi <fuleyi@uniontech.com>  Thu, 25 Sep 2025 20:52:29 +0800

dde-polkit-agent (6.0.15) unstable; urgency=medium

  * fix: Modify the status of the authorization dialog box button
  * fix: update homepage url in debian/control

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:01:55 +0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	libdde-shell-dev,
 	lsb-release
 Standards-Version: 3.9.8
-Homepage: http://www.deepin.org/
+Homepage: https://github.com/linuxdeepin/dde-polkit-agent
 
 Package: dde-polkit-agent
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 	USE_DEEPIN_POLKIT=ON
 else ifeq ($(DISTRO),uos)
     USE_DEEPIN_POLKIT=ON
+else ifeq ($(DISTRO),Uos)
+    USE_DEEPIN_POLKIT=ON
 else
 	USE_DEEPIN_POLKIT=OFF
 endif
